[Bug:trunk] Is CGI::HtmlExtension public or not?

xibbar e$B$5$se(B
e$B1sF#$G$9!#e(B

CGI::HtmlExtension [email protected]$+$ie(B :nodoc:
e$B$,IU$$$F$$$J$$$h$&$J$N$G!"8x3+e(B
API [email protected]$H$7$?$ie(B cgi.rb e$B$Ge(B autoload
[email protected]_Dj$7$F$*$$$?$[$&$,$$$$$H;W$$$^$9!#e(B
e$B$I$&;W$$$^$9$+!)e(B

diff --git a/lib/cgi.rb b/lib/cgi.rb
index 6355a92…5ef23f1 100644
— a/lib/cgi.rb
+++ b/lib/cgi.rb
@@ -272,3 +272,6 @@ raise “Please, use ruby 1.9.0 or later.” if
RUBY_VERSION < “1.9.0”
require ‘cgi/core’
require ‘cgi/cookie’
require ‘cgi/util’
+class CGI

  • autoload(:HtmlExtension, ‘cgi/html’)
    +end

xibbare$B$3$HF#2,$G$9!#e(B

CGI::HtmlExtension [email protected]$+$ie(B :nodoc: e$B$,IU$$$F$$$J$$$h$&$J$N$G!"8x3+e(B
API [email protected]$H$7$?$ie(B cgi.rb e$B$Ge(B autoload [email protected]_Dj$7$F$*$$$?$[$&$,$$$$$H;W$$$^$9!#e(B
e$B$I$&;W$$$^$9$+!)e(B

e$B$=$NJ}$,$$$$$H;W$$$^$9$N$G!"%3%_%C%[email protected]$1$k$H$"$j$,$?$$$G$9!#e(B

e$B%A%1%C%He(B #2668 e$B$,99?7$5$l$^$7$?!#e(B (by Yusuke E.)

e$B%9%F!<%?%9e(B Opene$B$+$ie(BRejectede$B$KJQ99e(B
ruby -v ruby 1.9.2dev (2010-01-28 trunk 26458)
[i686-linux]e$B$K%;%C%He(B

e$B$3$l$Oe(B[nil]e$B$rJV$9J}$,$*[email protected]$m$&$H;W$$$^$7$?!#e(B
e$BMWAG$,[email protected]$+$ie(B[]e$B$rJV$7$?J}$,4r$7$$$O$:$G$9!#e(B

e$B$H$$$&$o$1$G!";EMMJQ99$G$9!#e(B

e$BN;2r$7$^$7$?!#$"$j$,$H$&$4$6$$$^$7$?!#e(B


Yusuke E. [email protected]

http://redmine.ruby-lang.org/issues/show/2668

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs